> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nativehub.live/llms.txt
> Use this file to discover all available pages before exploring further.

# List campaign recipients

> Retrieve paginated list of campaign recipients



## OpenAPI

````yaml GET /campaigns/{id}/recipients
openapi: 3.0.3
info:
  title: NativeMessage API
  version: 1.0.0
  description: Complete API documentation for NativeMessage platform
  contact:
    name: NativeMessage Support
    email: support@nativemessage.com
servers:
  - url: https://api-message.nativehub.live/api/v1
    description: Production server
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /campaigns/{id}/recipients:
    get:
      tags:
        - Campaigns
      summary: List campaign recipients
      description: Retrieve paginated list of campaign recipients
      operationId: listCampaignRecipients
      parameters:
        - name: id
          in: path
          required: true
          description: Campaign ID
          schema:
            type: string
            format: uuid
        - $ref: '#/components/parameters/PageParam'
        - $ref: '#/components/parameters/PerPageParam'
      responses:
        '200':
          description: Recipients retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCampaignRecipients'
components:
  parameters:
    PageParam:
      name: page
      in: query
      description: Page number (default 1)
      schema:
        type: integer
        default: 1
        minimum: 1
    PerPageParam:
      name: per_page
      in: query
      description: Items per page (default 20, max 100)
      schema:
        type: integer
        default: 20
        minimum: 1
        maximum: 100
  schemas:
    PaginatedCampaignRecipients:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/CampaignRecipient'
        total:
          type: integer
        page:
          type: integer
        per_page:
          type: integer
    CampaignRecipient:
      type: object
      properties:
        id:
          type: string
          format: uuid
        campaign_id:
          type: string
          format: uuid
        phone_number:
          type: string
        status:
          type: string
        message_id:
          type: string
          format: uuid
        created_at:
          type: string
          format: date-time
      example:
        id: f2a3b4c5-d6e7-8901-fa23-456789012345
        campaign_id: e1f2a3b4-c5d6-7890-ef12-345678901234
        phone_number: '+8801712345678'
        status: sent
        message_id: d4e5f6a7-b8c9-0123-def4-567890123456
        created_at: '2026-02-14T08:30:00Z'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````